### Method

# Goa Account call_ensure_credentials_finish

#### Declaration [src]

    gboolean
    goa_account_call_ensure_credentials_finish (
      GoaAccount* proxy,
      gint* out_expires_in,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes an operation started with goa_account_call_ensure_credentials().

#### Parameters

`out_expires_in`

  Type: `gint*`

  Return location for return parameter or `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.

`res`

  Type: `GAsyncResult`

  The `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to goa_account_call_ensure_credentials().

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the call succeeded, `FALSE` if `error` is set.